#######################################################################################
######           This package conains the SNMP constance of ERS switch       ##########
#######################################################################################
package MIBstuff;
our $VERSION = '0.07';

use strict;
use warnings;
use Exporter;
use Net::SNMP qw(INTEGER INTEGER32 OCTET_STRING UNSIGNED32);

#################################### init Variables ###################################
our @ISA = 'Exporter';
our @EXPORT = qw(	$sysDescr
			$sysObjectID
			$sysName
			$ifNumber
			$mibBase
			$s5ChasComDescr
			$bsnesEnergySaverEnabled
			$bsnesInterfaceEnergySaverEnabled
			$bsnesSavingsUnitSavings
			$bsnesScheduleAction
			$bsnesScheduleRowStatus
			%ERSswitchType
			@MIBerrorCodes
		);

our (	$sysDescr,
	$sysObjectID,
	$sysName,
	$ifNumber,
	$mibBase,
	$s5ChasComDescr,
	$bsnesEnergySaverEnabled,
	$bsnesInterfaceEnergySaverEnabled,
	$bsnesSavingsUnitSavings,
	$bsnesScheduleAction,
	$bsnesScheduleRowStatus,
	%ERSswitchType,
	@MIBerrorCodes,
	);

my $mib2Root = '1.3.6.1.2.1.';
my $synopticsRoot = '1.3.6.1.4.1.45.';
my $rapidCityRoot = '1.3.6.1.4.1.2272.';

#######################################################################################
#######################################################################################
$sysDescr	= $mib2Root.'1.1.0';
$sysObjectID	= $mib2Root.'1.2.0';
$sysName	= $mib2Root.'1.5.0';
$ifNumber	= $mib2Root.'2.1.0';
$s5ChasComDescr				= $synopticsRoot.'1.6.3.3.1.1.5.8';
$bsnesEnergySaverEnabled		= $synopticsRoot.'5.34.1.1.1.0';
$bsnesInterfaceEnergySaverEnabled	= $synopticsRoot.'5.34.1.3.1.2';
$bsnesSavingsUnitSavings		= $synopticsRoot.'5.34.1.4.1.2';
$bsnesScheduleAction			= $synopticsRoot.'5.34.1.2.1.4';
$bsnesScheduleRowStatus			= $synopticsRoot.'5.34.1.2.1.5';

%ERSswitchType = (	$synopticsRoot.'3.52' => 'ERS5500',				# ERS5510_24T
			$synopticsRoot.'3.53' => 'ERS5500',				# ERS5510_48T
			$synopticsRoot.'3.59' => 'ERS5500',				# ERS5520
			$synopticsRoot.'3.65' => 'ERS5500',				# ERS5530-24TFD
			$synopticsRoot.'3.71' => 'ERS4500',
			$synopticsRoot.'3.74' => 'ERS5600',
			$synopticsRoot.'3.78' => 'ERS4800',
		);

@MIBerrorCodes = qw(noError tooBig noSuchName badValue readOnly genErr noAccess wrongType wrongLength wrongEncoding wrongValue noCreation inconsistentValue resourceUnavailable commitFailed undoFailed authorizationError notWritable inconsistentName);

1;
